#' Depression and Coping
#'
#' A subset of data from a research about depression and coping.
#'
#' @format ## `depress`
#' A data frame with 94 rows and 237 columns:
#' \describe{
#'   \item{id}{Participant id}
#'   \item{class}{Class}
#'   \item{grade}{Grade}
#'   \item{elite}{Elite classes}
#'   \item{intervene}{0 = Control group, 1 = Intervention group}
#'   \item{gender}{0 = girl, 1 = boy}
#'   \item{age}{Age in year}
#'   \item{cope1i1p}{Cope scale, Time1, Item1, Problem-focused coping, 1 = very seldom, 5 = very often}
#'   \item{cope1i3a}{Cope scale, Time1, Item3, Avoidance coping}
#'   \item{cope1i5e}{cope scale, Time1, Item5, Emotion-focused coping}
#'   \item{cope2i1p}{Cope scale, Time2, Item1, Problem-focused coping}
#'   \item{depr1i1}{Depression scale, Time1, Item1, 1 = very seldom, 5 = always}
#'   \item{ecr1avo}{ECR-RS scale, Item1, attachment avoidance, 1 = very disagree, 7 = very agree}
#'   \item{ecr2anx}{ECR-RS scale, Item2, attachment anxiety}
#'   \item{dm1}{Depression, Mean, Time1}
#'   \item{pm1}{Problem-focused coping, Mean, Time1}
#'   \item{em1}{Emotion-focused coping, Mean, Time1}
#'   \item{am1}{Avoidance coping, Mean, Time1}
#'   \item{avo}{Attachment avoidance, Mean}
#'   \item{anx}{Attachment anxiety, Mean}
#' }
#' @source Keng package.
"depress"
